Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class ManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.worklist.api.ManagementException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ValidationException

    public class ManagementException

extends Exception

Exception thrown when an operation attempted on the Worklist Manager fails.

Since:
  8.1
See Also:
  Serialized Form

Constructor Summary
`ManagementException()` Default constructor
`ManagementException(String message)` Construct a new `ManagementException` exception with a message.
`ManagementException(String message, Throwable except)` Construct a new `ManagementException` exception wrapping an underlying exception and providing a message.
`ManagementException(Throwable except)` Construct a new `ManagementException` exception wrapping an underlying exception.

Method Summary
`Exception` | `getException()` Returns the underlying exception, if this exception wraps another exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagementException

    public ManagementException()

  Default constructor

### ManagementException

    public ManagementException(String message,
                               Throwable except)

  Construct a new `ManagementException` exception wrapping an underlying exception and providing a message.

  Parameters:
    `message` - The exception message
    `except` - The underlying exception

### ManagementException

    public ManagementException(String message)

  Construct a new `ManagementException` exception with a message.

  Parameters:
    `message` - The exception message

### ManagementException

    public ManagementException(Throwable except)

  Construct a new `ManagementException` exception wrapping an underlying exception.

  Parameters:
    `except` - The underlying exception

Method Detail

### getException

    public Exception getException()

  Returns the underlying exception, if this exception wraps another exception.

  Returns:
    The underlying exception, or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD